Bug 14937 - Replace poor coding example for figure with multiple images
Replace poor coding example for figure with multiple images
Status: RESOLVED FIXED
Product: HTML WG
Classification: Unclassified
Component: HTML5 spec
unspecified
PC All
: P3 normal
: ---
Assigned To: Ian 'Hixie' Hickson
HTML WG Bugzilla archive list
: a11y, a11y_text-alt, WGDecision
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-25 21:20 UTC by steve faulkner
Modified: 2012-04-20 02:55 UTC (History)
8 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description steve faulkner 2011-11-25 21:20:52 UTC
the figure element section http://dev.w3.org/html5/spec/grouping-content.html#the-figure-element contains an example where a figure contains multiple related images. The caption text for each of the images is contained in the img element title attribute. This example promotes an anti-pattern that reduces the accessibility of the content. 

recommend replacing the example with an example using nested figure elements:

Refer to http://www.html5accessibility.com/tests/figures-nested.html for further details and alternative example code.
Comment 1 Ian 'Hixie' Hickson 2011-12-07 23:01:38 UTC
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If you are satisfied with this response, please change the state of this bug to CLOSED. If you have additional information and would like the editor to reconsider, please reopen this bug. If you would like to escalate the issue to the full HTML Working Group, please add the TrackerRequest keyword to this bug, and suggest title and text for the tracker issue; or you may create a tracker issue yourself, if you are able to do so. For more details, see this document:
   http://dev.w3.org/html5/decision-policy/decision-policy.html

Status: Rejected
Change Description: no spec change
Rationale: This isn't an antipattern. It is a best practice. If current ATs don't make it accessible, then I recommend approaching AT vendors and explaining to them that they're not properly exposing HTML semantics.
Comment 2 steve faulkner 2011-12-08 07:40:48 UTC
(In reply to comment #1)
> EDITOR'S RESPONSE: This is an Editor's Response to your comment. If you are
> satisfied with this response, please change the state of this bug to CLOSED. If
> you have additional information and would like the editor to reconsider, please
> reopen this bug. If you would like to escalate the issue to the full HTML
> Working Group, please add the TrackerRequest keyword to this bug, and suggest
> title and text for the tracker issue; or you may create a tracker issue
> yourself, if you are able to do so. For more details, see this document:
>    http://dev.w3.org/html5/decision-policy/decision-policy.html
> 
> Status: Rejected
> Change Description: no spec change
> Rationale: This isn't an antipattern. It is a best practice. If current ATs
> don't make it accessible, then I recommend approaching AT vendors and
> explaining to them that they're not properly exposing HTML semantics.

You obviously misunderstand, this issue has nothing to do with AT, your 'best practice' is based on a fiction that the title attribute content is available to all users via the browser, it is most evidently not. All browser vendors are aware of the issue (http://markmail.org/message/udftstmjgis5bdiu), but have chosen not to do anything about it (for the last ten years). When you have convinced browser vendors (apple, google, opera and microsoft) to fix the issue, i.e. keyboard and touch screen users can access the title attribute content, then you can claim your anti-pattern as a best practice. Until that point it does not deserve to be in the W3C HTML5 spec and its inclusion does a disservice to a range of users.
Comment 3 Benjamin Hawkes-Lewis 2011-12-08 08:03:31 UTC
(In reply to comment #2)
> You obviously misunderstand, this issue has nothing to do with AT, your 'best
> practice' is based on a fiction that the title attribute content is available
> to all users via the browser, it is most evidently not.

It's based on potential future implementations not today's implementations.

An HTML WG decision discussed, and dismissed, the accessibility problems with @title - taking the line that user agents could provide better access to @title in the future:

http://lists.w3.org/Archives/Public/public-html/2011Apr/0451.html

For now, the examples in the spec are in line with that decision.

Challenging the specification for @title should be a precursor for challenging particular examples that use @title.
Comment 4 steve faulkner 2011-12-08 10:17:30 UTC
(In reply to comment #3)
> (In reply to comment #2)
> > You obviously misunderstand, this issue has nothing to do with AT, your 'best
> > practice' is based on a fiction that the title attribute content is available
> > to all users via the browser, it is most evidently not.
> 
> It's based on potential future implementations not today's implementations.
> 
> An HTML WG decision discussed, and dismissed, the accessibility problems with
> @title - taking the line that user agents could provide better access to @title
> in the future:
> 
> http://lists.w3.org/Archives/Public/public-html/2011Apr/0451.html
> 
> For now, the examples in the spec are in line with that decision.
> 
> Challenging the specification for @title should be a precursor for challenging
> particular examples that use @title.

>> It's based on potential future implementations not today's implementations.

Same could be said for other failed features , promoting their use when no commitment to implement has been provided by the browser vendors is putting theoritcal purity over authors over users.

The title attribute is not a new feature, its use in this case is not a new use.

That is why I have specified a normative willful violation of HTML5 in the the alt text specification [http://dev.w3.org/html5/alt-techniques/#secm7}

The WG ruled on whether the title attribute is conforming when alt is absent, this is not the case under discussion.

FYI
I fully expect that decision to be re-opened soon and have some expectation it will be overturned as it bad for accessibility.
here is the re-open request change proposal: http://www.w3.org/html/wg/wiki/ChangeProposals/notitlev2

I look forwrad to your and like minded peoples counter proposal with spirited defence of the status quo.
Comment 5 steve faulkner 2011-12-08 10:22:19 UTC
changing back to wontfix as I don't think I provided any information not available to the editor.
Comment 6 steve faulkner 2011-12-08 10:27:42 UTC
rasied as Issue 190 https://www.w3.org/html/wg/tracker/issues/190
Comment 7 Marco Kotrotsos 2011-12-13 08:19:32 UTC
Relevant discussion aside- To help with the discussion I am submitting a better code example- based on the one already written at 4.5.11 "The figure element":  http://dev.w3.org/html5/spec/the-figure-element.html#the-figure-element 

--- code ---

<figure role="group">
	<figcaption>The castle through the ages: 1423, 1858, and 1999 respectively.</figcaption>

	<figure role="group">
		<img src="castle-etching.jpg" alt="The castle has one tower, and a tall wall around it.">
		<figcaption>Etching. Anonymous, ca. 1423.</figcaption>
	</figure>

	<figure role="group">
		<img src="castle-oil.jpg" alt="The castle now has two towers and two walls.">
		<figcaption>Oil-based paint on canvas. Maria Towle, 1858.</figcaption>
	</figure>

	<figure role="group">
		<img src="castle-film.jpg" alt="The castle lies in ruins, the original tower all that remains in one piece.">
		<figcaption>Film photograph. Peter Jankle, 1999.</figcaption>
	</figure> 
</figure>